# -*- coding: utf-8 -*-
from ppms.migration.packet import *

class Remove_createDataitemInDatabase(ChangeDTPPacket):
    '''removes the "DI in Datenbank anlegen" from "Data Dictionary"
    replaced by the incremental schema update
    '''
    wi_number = 11326
    version = 1
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY

    def fix(self, runner):
        return self.success() if self.get_record(411, ["031148",721170], [306, 307]).delete() else self.fail()
